Skip to main content

Usage Guidelines

REST API Usage Guidelines​

Follow these instructions to use the AddSearch REST API properly.

API Base URLs​

Use the following base URL for all AddSearch API requests:

https://api.addsearch.com

You can restrict API requests to a specific region by using region-specific subdomains:

  • EU region: https://api-eu.addsearch.com
  • US region: https://api-us.addsearch.com

Note: Region-specific endpoints support only Suggestions, Search, and Analytics APIs. For Indexing and Crawl APIs, use the main domain https://api.addsearch.com.

Protocol Requirements​

All API requests must use HTTPS. Using HTTP will result in a 405 Method Not Allowed response.

Content-Type Header​

The AddSearch API accepts and returns data in JSON format (application/json). Include the following HTTP header when sending JSON data:

Content-Type: application/json

For example, using curl, add the header like this:

curl -H 'Content-Type: application/json' https://api.addsearch.com/endpoint

Date Format​

The API uses the ISO-8601 standard for date and time values.

Example:

2015-01-30T11:17:22-02:00

Use this format when providing timestamps in API requests or interpreting responses.